/* Help Functions */

function getCookieDomain() {

    var domain = (function(){
        var i=0,domain=document.domain,p=domain.split('.'),s='_gd'+(new Date()).getTime();
        while(i<(p.length-1) && document.cookie.indexOf(s+'='+s)==-1){
            domain = p.slice(-1-(++i)).join('.');
            document.cookie = s+"="+s+";domain="+domain+";";
        }
        document.cookie = s+"=;expires=Thu, 01 Jan 1970 00:00:01 GMT;domain="+domain+";";
        return domain;
    })();

    return domain;
}

function createCookie(name, value, days) {
    var expires;

    /* No Cookies - Support */
    if ( !navigator.cookieEnabled ) {
        alert("You need to have cookies enabled to browse this website, please verify it and try again.");
        throw Error("There isn't cookie support enabled in the user computer");
    }

    if (days) {
        var date = new Date();
        date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
        expires = "; expires=" + date.toGMTString();
    } else {
        expires = "";
    }

    document.cookie = escape(name) + "=" + escape(value) + expires + "; domain=" + getCookieDomain() + ";path=/";
}

function readCookie(name) {
    var nameEQ = escape(name) + "=";
    var ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) === ' ') c = c.substring(1, c.length);
        if (c.indexOf(nameEQ) === 0) return unescape(c.substring(nameEQ.length, c.length));
    }
    return null;
}

function eraseCookie(name) {
    createCookie(name, "", -1);
}

function toNumbers(d)
{
        var e=[];
        d.replace(/(..)/g,function(d){e.push(parseInt(d,16))});
        return e
}

function toHex()
{
        for(var d=[],d=1==arguments.length&&arguments[0].constructor==Array?arguments[0]:arguments,e="",f=0;f<d.length;f++)
                e+=(16>d[f]?"0":"")+d[f].toString(16);
        return e.toLowerCase()
}
